.\" Copyright (c) 1990, University of Michigan
.TH RLE_OP 3 "July, 1990" 3
.UC 4
.SH NAME
rle_op \- Data structure for raw run-length encoded image data.
.SH SYNOPSIS
.B
#include <rle.h>
.br
.B
#include <rle_raw.h>
.br
.B
typedef struct rle_op rle_op;
.SH DESCRIPTION
The
.I rle_op
data structure is used to describe a single run of data in a
.IR RLE (5)
run-length encoded image.  It is filled by the function
.IR rle_getraw (3),
and is used by the functions
.IR rle_putraw (3)
and
.IR rle_rawtorow (3).

The structure is
.nf
.ta 1i 1.8i 2.8i 3.8i
    struct rle_op {
	int	opcode;	/* One of RByteDataOp or RRunDataOp. */
	int	xloc;	/* X starting location of this data. */
	int	length;	/* Length of run or data array. */
	union {
		rle_pixel	*pixels;	/* ByteData case. */
		int	run_val;	/* RunData case. */
	} u;
     };
.fi

If the 
.I opcode
has the value
.IR RByteDataOp ,
then the
.I u.pixels
component points to an array of 
.I length
pixel values.  If the \fIopcode\fP has the value \fIRRunDataOp\fP,
then the \fIu.run_val\fP component contains a pixel value that is to
be repeated \fIlength\fP times.
.SH SEE ALSO
.na
.IR rle_hdr (3),
.IR rle_getraw (3),
.IR rle_putraw (3),
.IR rle_rawtorow (3),
.IR librle (3),
.IR RLE (5).
.ad b
.SH AUTHOR
Spencer W. Thomas
